org.apache.cayenne.merge

## Class DefaultValueForNullProvider

- java.lang.Object
- - org.apache.cayenne.merge.DefaultValueForNullProvider

- All Implemented Interfaces:
    ValueForNullProvider

      public class DefaultValueForNullProvider
      extends Object
      implements ValueForNullProvider

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultValueForNullProvider()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `createSql(DbEntity entity, DbAttribute column)`
    `protected ParameterBinding` | `get(DbEntity entity, DbAttribute column)`
    `boolean` | `hasValueFor(DbEntity entity, DbAttribute column)`
    `void` | `set(DbEntity entity, DbAttribute column, Object value, int type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultValueForNullProvider

          public DefaultValueForNullProvider()

  - ### Method Detail

    - #### set

          public void set(DbEntity entity,
                 DbAttribute column,
                 Object value,
                 int type)

    - #### get

          protected ParameterBinding get(DbEntity entity,
                             DbAttribute column)

    - #### createSql

          public List<String> createSql(DbEntity entity,
                               DbAttribute column)

      Specified by:
        `createSql` in interface `ValueForNullProvider`
      Returns:
        a `List` of sql to set value for null

    - #### hasValueFor

          public boolean hasValueFor(DbEntity entity,
                            DbAttribute column)

      Specified by:
        `hasValueFor` in interface `ValueForNullProvider`
      Returns:
        true if there exist a value that should be inserted for null values

Copyright © 2001–2014 Apache Cayenne. All rights reserved.